Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSVideoTransmitStatistics Class Reference

`#import <CSVideoDetails.h>`

Inherits CSVideoStatistics.

## Properties
NSUInteger | RTP8021pTag
| 802.1p Layer 2 priority tag, if set. More...
NSUInteger | RTPDSCP
| DSCP tag, if set. More...
Properties inherited from CSVideoStatistics
NSUInteger | targetFrameRate
| Target sent/received frame rate in frames per second. More...
NSUInteger | actualFrameRate
| Actual sent/received frame rate in frames per second. More...
NSUInteger | width
| Width of the sent/received video stream. More...
NSUInteger | height
| Height of the sent/received video stream. More...
NSUInteger | jitterBufferSizeMilliseconds
| Actual send/receive side jitter buffer size in milliseconds. More...
NSUInteger | targetBitrate
| Target sent/received bit rate per second. More...
NSUInteger | actualBitrate
| Actual sent/received bit rate per second. More...
NSUInteger | packetCount
| Total number of packets sent/received. More...
NSUInteger | byteCount
| Total number of bytes sent/received. More...
NSUInteger | keyFrameCount
| Number of key frames locally requested (receive direction), or remotely requested (send direction). More...
NSUInteger | packetLossTotal
| Total number of packets lost in transmit/receive direction. More...
NSUInteger | packetLossFraction
| Fraction of packets lost in transmit/receive direction. More...

## Additional Inherited Members
Instance Methods inherited from CSVideoStatistics
(NSDictionary *) | - CSPropertyDescriptionForObject:
| To print the description of the object without the newline characters. More...

## Property Documentation

- (NSUInteger) RTP8021pTag
| read nonatomic assign

802.1p Layer 2 priority tag, if set.

- (NSUInteger) RTPDSCP
| read nonatomic assign

DSCP tag, if set.

The documentation for this class was generated from the following file:

- CSVideoDetails.h